libgbm.so.1: cannot open shared object file

Bug #1572855 reported by Tim Lunn on 2016-04-21
46
This bug affects 7 people
Affects Status Importance Assigned to Milestone
xorg-lts-transitional (Ubuntu)
Undecided
Unassigned

Bug Description

After upgrading from 14.04 -> 16.04, there are still some dpkg-diverts left in place. This stops gdm/gnome-shell from booting up at all.

Apr 20 23:22:12 ubuntu gnome-session[1018]: gnome-shell: error while loading shared libraries: libgbm.so.1: cannot open shared object file: No such file or directory
Apr 20 23:22:12 ubuntu gnome-session[1018]: gnome-session-binary[1018]: WARNING: App 'gnome-shell-wayland.desktop' exited with code 127
Apr 20 23:22:12 ubuntu gnome-session-binary[1018]: WARNING: App 'gnome-shell-wayland.desktop' exited with code 127
Apr 20 23:22:13 ubuntu gnome-session[1213]: gnome-shell: error while loading shared libraries: libgbm.so.1: cannot open shared

$dpkg -L libgbm1
/usr
/usr/lib
/usr/lib/x86_64-linux-gnu
/usr/lib/x86_64-linux-gnu/libgbm.so.1.0.0
diverted by libgbm1-lts-wily to: /usr/lib/x86_64-linux-gnu/old.libgbm.so.1.0.0

Tim Lunn (darkxst) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1572855

tags: added: iso-testing
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg-lts-transitional (Ubuntu):
status: New → Confirmed
Mantas Kriaučiūnas (mantas) wrote :

I've fixed this problem with these commands:

Ubuntu-Baltix-14:/var/lib/dpkg# sudo dpkg-divert --remove /usr/lib/x86_64-linux-gnu/libgbm.so.1.0.0
Removing 'diversion of /usr/lib/x86_64-linux-gnu/libgbm.so.1.0.0 to /usr/lib/x86_64-linux-gnu/old.libgbm.so.1.0.0 by libgbm1-lts-vivid'
Ubuntu-Baltix-14:/var/lib/dpkg# sudo dpkg-divert --remove /usr/lib/x86_64-linux-gnu/libgbm.so.1
Removing 'diversion of /usr/lib/x86_64-linux-gnu/libgbm.so.1 to /usr/lib/x86_64-linux-gnu/old.libgbm.so.1 by libgbm1-lts-vivid'
Ubuntu-Baltix-14:/var/lib/dpkg# sudo apt-get --reinstall install libgbm1

Is this the best way to fix gnome-shell and other gnome software booting

Tim Lunn (darkxst) wrote :

If you have already upgraded, then probably yes. however note there is also a third diversion that should be removed
diversion of /usr/lib/x86_64-linux-gnu/gbm/gbm_gallium_drm.so to /usr/lib/x86_64-linux-gnu/gbm/old.gbm_gallium_drm.so by libgbm1-lts-wily

The proper fix has been uploaded and will fix (future) upgrades once it migrates to -release

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-lts-transitional - 3:10

---------------
xorg-lts-transitional (3:10) xenial; urgency=medium

  * rules, libgbm1*.postinst.in: Drop libgbm1 diversions. (LP: #1572855)

 -- Timo Aaltonen <email address hidden> Thu, 21 Apr 2016 10:39:39 +0300

Changed in xorg-lts-transitional (Ubuntu):
status: Confirmed → Fix Released
賴家亨 (laichiaheng) wrote :

Where is the xorg-lts-transitional, I can't find it...

Erick Brunzell (lbsolost) wrote :

It's an umbrella rather than a specific package, so:

lance@lance-AMD-desktop:~$ apt-cache policy xorg-lts*
xserver-xorg-lts-vivid:
  Installed: (none)
  Candidate: 3:10
  Version table:
     3:10 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
xserver-xorg-lts-wily:
  Installed: (none)
  Candidate: 3:10
  Version table:
     3:10 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
xserver-xorg-lts-utopic:
  Installed: (none)
  Candidate: 3:10
  Version table:
     3:10 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages

Levan Chelidze (levanchelidze) wrote :

I did and upgrade from 14.04 and totem and rhythmbox ask for that lib file.

Tim Lunn (darkxst) wrote :

if you upgraded before the fix landed see Comment #4 for manual fix.

Levan Chelidze (levanchelidze) wrote :

@Tim (darkxst)

Sadly i get "not found" on all of them

Tim Lunn (darkxst) wrote :

"not found" or "no diversion"?

you can check with `dpkg -L libgbm1` if there are diversions in place

Levan Chelidze (levanchelidze) wrote :

Here is the output

/home/levan/Desktop/pie: 1: /home/levan/Desktop/pie: Ubuntu-Baltix-14:/var/lib/dpkg#: not found
/home/levan/Desktop/pie: 2: /home/levan/Desktop/pie: Removing: not found
/home/levan/Desktop/pie: 3: /home/levan/Desktop/pie: Ubuntu-Baltix-14:/var/lib/dpkg#: not found
/home/levan/Desktop/pie: 4: /home/levan/Desktop/pie: Removing: not found
/home/levan/Desktop/pie: 5: /home/levan/Desktop/pie: Ubuntu-Baltix-14:/var/lib/dpkg#: not found

Levan Chelidze (levanchelidze) wrote :

/.
/usr
/usr/lib
/usr/lib/x86_64-linux-gnu
/usr/lib/x86_64-linux-gnu/libgbm.so.1.0.0
diverted by libgbm1-lts-wily to: /usr/lib/x86_64-linux-gnu/old.libgbm.so.1.0.0
/usr/share
/usr/share/bug
/usr/share/bug/libgbm1
/usr/share/bug/libgbm1/control
/usr/share/bug/libgbm1/script
/usr/share/lintian
/usr/share/lintian/overrides
/usr/share/lintian/overrides/libgbm1
/usr/share/doc
/usr/share/doc/libgbm1
/usr/share/doc/libgbm1/copyright
/usr/share/doc/libgbm1/changelog.Debian.gz
/usr/lib/x86_64-linux-gnu/libgbm.so.1
diverted by libgbm1-lts-wily to: /usr/lib/x86_64-linux-gnu/old.libgbm.so.1

Tim Lunn (darkxst) wrote :

I don't understand what you have done in comment #13

what you want to do is

sudo dpkg-divert --remove /usr/lib/x86_64-linux-gnu/libgbm.so.1.0.0
sudo dpkg-divert --remove /usr/lib/x86_64-linux-gnu/libgbm.so.1
sudo dpkg-divert --remove /usr/lib/x86_64-linux-gnu/gbm/gbm_gallium_drm.so

Pinkesh (pinkbadpink) wrote :

@Tim
This fix works like a charm. Was not able to use "cheese" since a week.
Thanks for the fix. :)

jvh (xtrajoris) wrote :

I tried the xserver-xorg-core-lts-utopic package (which is the transitional i needed) and also the manual fix (using dpkg-divert), but it *still* doesn't work. The error I get is:
  rhythmbox: error while loading shared libraries: libgbm.so.1: cannot open shared object file: No such file or directory

The output of `dpkg -L libgbm1` is:
/.
/usr
/usr/lib
/usr/lib/x86_64-linux-gnu
/usr/lib/x86_64-linux-gnu/libgbm.so.1.0.0
/usr/share
/usr/share/bug
/usr/share/bug/libgbm1
/usr/share/bug/libgbm1/control
/usr/share/bug/libgbm1/script
/usr/share/lintian
/usr/share/lintian/overrides
/usr/share/lintian/overrides/libgbm1
/usr/share/doc
/usr/share/doc/libgbm1
/usr/share/doc/libgbm1/copyright
/usr/share/doc/libgbm1/changelog.Debian.gz
/usr/lib/x86_64-linux-gnu/libgbm.so.1

Gaurav Sharma (sgaurav19928) wrote :

I have successfully executed the 3 comments mentioned in #4 or #15.
But during re-installation I got below errors:

dpkg: error processing archive /var/cache/apt/archives/libgbm1_10.1.3-0ubuntu0.6_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/libgbm.so.1.0.0', which is also in package libgbm1-lts-wily:amd64 11.0.2-1ubuntu4~trusty1
Errors were encountered while processing:
 /var/cache/apt/archives/libgbm1_10.1.3-0ubuntu0.6_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Timo Aaltonen (tjaalton) wrote :

if you're still on trusty running the commands in #15 will break libgbm1, removing diversions is meant for the upgrade to xenial

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers